How to install python_crypto

Hi,

I'm currently doing an install for SAP Business One 9.3 for HANA. I have notice for this new version, the installer wants python_crypto before I can proceed with the install. Can you share the command to get python_crypto ?

Regards,



William

Comments

  • abab Knowledge Partner
    I am just guessing, but have you tried with zypper or Yast?
    sudo zypper install python_crypto
    

    If you do not see it, perhaps search for it first to get the name just right:
    zypper search python
    

    Feel free to pipe the output through 'less' or 'grep' to search a bit more.

    --
    Good luck.

    If you find this post helpful and are logged into the web interface,
    show your appreciation and click on the star below.

    If you want to send me a private message, please let me know in the
    forum as I do not use the web interface often.
  • william1william1 Established Member
    Hi Ab,

    When run sudo zypper install python_crypto this is the response terminal gives me:

    Refreshing service 'nu_novell_com'.
    Loading repository data...
    Reading installed packages...
    'python_crypto' not found in package names. Trying capabilities.
    No provider of 'python_crypto' found.
    Resolving package dependencies...

    When I run zypper search python, I get this response below. I'm wondering is there an repo I need to add to get python_crypto ?

    Refreshing service 'nu_novell_com'.
    Loading repository data...
    Reading installed packages...

    S | Name | Summary | Type
    --+
    +
    +
    | OpenIPMI-python | OpenIPMI | package
    | apache2-mod_python | A Python Module for the Apache 2-> | package
    | audit-libs-python | Python Bindings for libaudit | package
    | dbus-1-python | Python bindings for D-Bus | package
    | gnome-python-desktop | Python modules for GNOME | package
    | gnome-python-desktop-doc | Python modules for GNOME | package
    i | libpython2_6-1_0 | Python Interpreter shared library | package
    i | libpython2_6-1_0-32bit | Python Interpreter shared library | package
    | libvirt-python | Library providing a simple virtu-> | package
    i | libxml2-python | Python Bindings for libxml2 | package
    | libxml2-python | Python Bindings for libxml2 | srcpackage
    i | python | Python Interpreter | package
    | python | Python Interpreter | srcpackage
    | python-32bit | Python Interpreter | package
    i | python-argparse | Python command-line parsing libr-> | package
    | python-augeas | Python bindings for Augeas | package
    i | python-base | Debug sources for package python-> | package
    | python-base | Debug sources for package python-> | srcpackage
    | python-base-32bit | Debug sources for package python-> | package
    i | python-cairo | Python Bindings for Cairo | package
    | python-ceph | Python Libraries for the Ceph Di-> | package
    | python-configobj | Config file reading, writing and-> | package
    | python-configshell | A framework to implement simple -> | package
    | python-configshell-doc | A framework to implement simple -> | package
    | python-curl | Python module interface to the c-> | package
    | python-curses | Python Interface to the (N)Curse-> | package
    | python-deltarpm | Tools to Create and Apply deltar-> | package
    | python-demo | Python Demonstration Scripts | package
    | python-dmidecode | Python module to access DMI data | package
    | python-doc | Additional Package Documentation-> | package
    | python-doc | Additional Package Documentation-> | srcpackage
    | python-doc-pdf | Python PDF Documentation | package
    | python-ethtool | Ethernet settings python bindings | package
    | python-gdbm | Python Interface to the GDBM Lib-> | package
    i | python-gnome | Python bindings for GNOME | package
    | python-gnome-extras | Python bindings for GNOME | package
    | python-gnome-extras-doc | Python bindings for GNOME | package
    | python-gnome-menus | Python Bindings for the GNOME De-> | package
    i | python-gobject2 | Python bindings for GObject | package
    | python-gobject2-doc | Python bindings for GObject | package
    | python-gstreamer-0_10 | Python Bindings for GStreamer | package
    i | python-gtk | Python bindings for the GTK+ wid-> | package
    | python-gtk-doc | Python bindings for the GTK+ wid-> | package
    | python-gtk-vnc | Python bindings for the gtk-vnc -> | package
    i | python-gtksourceview | Python bindings for the GTK+ sou-> | package
    | python-idle | An Integrated Development Enviro-> | package
    | python-imaging | The Python Imaging Library - PIL | package
    | python-ipaddr | Google's IP address manipulation-> | package
    | python-ldap | Python LDAP interface | package
    | python-louis | Braille Translator and Back-Tran-> | package
    | python-lxml | A Pythonic Binding for the libxm-> | package
    i | python-m2crypto | Crypto and SSL toolkit for Python | package
    | python-mysql | An Interface to the Popular MySQ-> | package
    | python-netifaces | Portable network interface infor-> | package
    | python-newt | Python bindings for newt | package
    | python-notify | Python bindings for libnotify | package
    i | python-numeric | A Numerical Extension to Python | package
    i | python-numpy | NumPy array processing for numbe-> | package
    | python-numpy | NumPy array processing for numbe-> | srcpackage
    i | python-openssl | Python wrapper module around the-> | package
    i | python-orbit | Python bindings for ORBit | package
    | python-ordereddict | A drop-in substitute for Py2.7's-> | package
    | python-pam | Python bindings for PAM | package
    | python-pyasn1 | ASN.1 types and codecs | package
    i | python-pywbem | Python module for making CIM ope-> | package
    | python-qt4 | PyQt - python bindings for Qt 4 | package
    | python-requests | Awesome Python HTTP Library That-> | package
    | python-rtslib | API for Linux kernel SCSI target-> | package
    | python-sanlock | A shared disk lock manager | package
    | python-satsolver | Python bindings for satsolver | package
    | python-selinux | SELinux library and simple utili-> | package
    | python-semanage | SELinux binary policy manipulati-> | package
    | python-setools | Python bindings for SELinux poli-> | package
    | python-simpleparse | A Parser Generator for Python (w-> | package
    | python-sip | SIP tool to create python bindings | package
    | python-sssd-config | Python API for configuring sssd | package
    | python-tk | TkInter - Python Tk Interface | package
    | python-urlgrabber | A high-level cross-protocol url--> | package
    | python-urwid | A full-featured console (xterm e-> | package
    i | python-xml | A Python XML Interface | package
    | python-zypp | Python Bindings for libzypp | package
    | rpm-python | Python Bindings for Manipulating-> | package
    | sax2-libsax-python | Language binding to use libsax w-> | package
    i | slessp4-python-12735 | Security update for python | patch
    i | slessp4-python-numpy-12675 | Optional update for python-numpy | patch
    | yast2-python-bindings | Python bindings for the YaST pla-> | package
    | zypp-plugin-python | Helper that makes writing ZYpp p-> | package
  • abab Knowledge Partner
    I'm not sure, but what about that python-m2crypto package which is already
    installed? Which function, exactly, do you really need (regardless of
    package information)? You may want to see which files are in that package
    to see if ti has what you already need:
    rpm -ql python-m2crypto
    

    --
    Good luck.

    If you find this post helpful and are logged into the web interface,
    show your appreciation and click on the star below.

    If you want to send me a private message, please let me know in the
    forum as I do not use the web interface often.
  • Activate the SLES11SP4 SDK Add-on, it's repository has
    python-crypto-2.0.1-28.20.1.x86_64.rpm. After the Add-On is activated,
    you can just issue

    zypper install python-crypto

    Franz.
  • bluish5bluish5 New or Quiet Member
    Thanks Franz!
    I found out that in YaST2 you can add following repository for accessing packages of SLES 11 SDK without downloading it all in an .iso:
    https://nu.novell.com/repo/$RCE/SLE11-SDK-SP4-Pool/sle-11-x86_64 (change "SP4" if you have a different SP).

    When asked for credentials insert the ones you can find on SUSE Customer Center > Organization > Organization Credentials.

    I don't know if you need to register your SLES or not for this to work (I did it).
  • BardotBardot New or Quiet Member
    My problem is similar, I can not install python-openssl, says package not found, thank you very much.
  • Jens-U.Jens-U. Knowledge Partner
    Hi Bardot,

    > My problem is similar, I can not install python-openssl, says package not found, thank you very much.

    have you tried Franz' suggestion and to which effect? Are you on SLES for SAP Applications 11 SP4?

    Which are your configured repositories at the moment?

    Regards,
    J
  • Have a good day, guys. I got a couple of errors while installing the python_crypto script. I met the package and installation errors(package not found error while installing the full package.

  • Also, I'm on SLES for SAP applications 11 SP4 as well, and I don't understand what I'm doing wrong. I really need that script for finding the best crypto interest accounts for my trading strategy. Please, somebody, send me a private message or answer on this topic to help me solve this issue. Any help will be much appreciated!

Sign In or Register to comment.